<?php
    namespace Model;
    use Entity\Quote;
    use Gateway\QuoteGateway;

    class QuoteModel
    {
        private QuoteGateway $gateway;

        public function __construct(QuoteGateway $gate){
            $this->gateway = $gate;
        }

        public function searchId(int $id): Quote{
            $res = $this->gate->searchId($id)[0];
            return new Quote($res["q.id_quote"],$res["q.content"],$res["c.caracter"],$res["c.img_path"],$res["s.title"],$res["s.date"],$res["q.like"],$res["q.language"]);
        }
    }

?>
